GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/arm-fbsd-nat.c File Reference
`#include "defs.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "fbsd-nat.h"`
`#include "arm-tdep.h"`
`#include "arm-fbsd-tdep.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static bool | getregs_supplies (struct gdbarch *gdbarch, int regnum)
static void | arm_fbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | arm_fbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static const struct target_desc * | arm_fbsd_read_description (struct target_ops *ops)
void | _initialize_arm_fbsd_nat (void)

## Function Documentation

## ◆ _initialize_arm_fbsd_nat()

void _initialize_arm_fbsd_nat | ( | void |  | ) |

Definition at line 142 of file arm-fbsd-nat.c.

References arm_fbsd_fetch_inferior_registers(), arm_fbsd_read_description(), arm_fbsd_store_inferior_registers(), fbsd_nat_add_target(), inf_ptrace_target(), target_ops::to_fetch_registers, target_ops::to_read_description, and target_ops::to_store_registers.

## ◆ arm_fbsd_fetch_inferior_registers()

static void arm_fbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 56 of file arm-fbsd-nat.c.

References _, regcache::arch(), arm_fbsd_gregset, arm_fbsd_vfpregset, get_ptrace_pid(), getregs_supplies(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), regnum, and regcache::supply_regset().

Referenced by _initialize_arm_fbsd_nat().

## ◆ arm_fbsd_read_description()

static const struct target_desc* arm_fbsd_read_description | ( | struct target_ops * | ops | ) |
| static

Definition at line 131 of file arm-fbsd-nat.c.

References arm_fbsd_read_description_auxv(), target_ops::beneath, and target_ops::to_read_description.

Referenced by _initialize_arm_fbsd_nat().

## ◆ arm_fbsd_store_inferior_registers()

static void arm_fbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 91 of file arm-fbsd-nat.c.

References _, regcache::arch(), arm_fbsd_gregset, arm_fbsd_vfpregset, regcache::collect_regset(), get_ptrace_pid(), getregs_supplies(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_arm_fbsd_nat().

## ◆ getregs_supplies()

static bool getregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 35 of file arm-fbsd-nat.c.

References ARM_A1_REGNUM, ARM_PC_REGNUM, ARM_PS_REGNUM, and regnum.

Referenced by arm_fbsd_fetch_inferior_registers(), and arm_fbsd_store_inferior_registers().